Bug 249798 - www/py-tuir: depends on python 2.x
Summary: www/py-tuir: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:37 UTC by Steve Wills
Modified: 2020-10-01 23:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lcook)


Attachments
py37-tuir-1.29.0_2.diff (828 bytes, patch)
2020-09-30 02:17 UTC, Lewis Cook
lcook: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:37:07 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Lewis Cook freebsd_committer freebsd_triage 2020-09-30 02:17:21 UTC
Created attachment 218427 [details]
py37-tuir-1.29.0_2.diff

* Bump minimal Python requirement
  to 3.6+ and remove conditional
  RUN_DEPENDS check.

QA:

 * portlint: OK (looks fine).
 * testport: OK (poudriere: 12.1-RELEASE-p10, amd64).
Comment 2 commit-hook freebsd_committer 2020-10-01 23:15:14 UTC
A commit references this bug:

Author: swills
Date: Thu Oct  1 23:14:22 UTC 2020
New revision: 550877
URL: https://svnweb.freebsd.org/changeset/ports/550877

Log:
  www/py-tuir: Bump Python 3 requirement

  PR:		249798
  Submitted by:	Lewis Cook <vulcan@wired.sh> (maintainer)

Changes:
  head/www/py-tuir/Makefile
Comment 3 Steve Wills freebsd_committer 2020-10-01 23:19:22 UTC
Committed, thanks!